> ## Documentation Index
> Fetch the complete documentation index at: https://docs-vnext.kiflo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List transactions

> List transactions and filter them by partner, customer or any custom properties.
            
To filter transactions on custom property, just add the property with its exact value as a query parameter:  
`myCustomProp=ThisIsAValue`  
This will return the transactions where myCustomProp exactly matches the provided value.



## OpenAPI

````yaml /openapi.json get /v3/transactions
openapi: 3.0.1
info:
  title: Kiflo Public API v3
  description: "The Kiflo API allows you to have control over your integration and create the best experiences.\r\n\r\n***\r\n\r\n## Format\r\n\r\nThe API follows the REST standard using JSON to format requests and responses.  \r\nDecimals are formatted using invariant culture, ie: using \".\" (dot) as a decimal sperator and no thousands separator.  \r\nDates are formatted using ISO standards, in UTC format, including the timezone. Ex:  2015-03-25T12:00:00Z\r\n\r\n***\r\n\r\n## Security\r\n\r\nThe API is secured using an API token.\r\n\r\n**How to generate an API Access Token**  \r\n 1. Open your [account settings page](https://app.kiflo.com/account/integration)\r\n 2. Go to the \"API Access Token\" section\r\n 3. Click \"Add\" button\r\n 4. Choose a name that will be used to identify the token and click \"Add\"\r\n 4. Copy the generate token\r\n   \r\n> **Note:** For security reason, the generated API Access Token won't be visible after you close the settings page. Be sure to copy the generated token otherwise you won't be able to get it later.\r\n  \r\n**How to authenticate on the API**  \r\n  \r\nTo authenticate on the API, send the generated token in the Authorization header using the Bearer scheme:  \r\n`Authorization: Bearer #YOUR_GENERATED_TOKEN_HERE#`\r\n"
  version: v3
servers: []
security: []
paths:
  /v3/transactions:
    get:
      tags:
        - Transactions
      summary: List transactions
      description: "List transactions and filter them by partner, customer or any custom properties.\r\n            \r\nTo filter transactions on custom property, just add the property with its exact value as a query parameter:  \r\n`myCustomProp=ThisIsAValue`  \r\nThis will return the transactions where myCustomProp exactly matches the provided value."
      parameters:
        - name: partner_id
          in: query
          description: The list of partner IDs to filter the transactions on.
          schema:
            type: array
            items:
              type: integer
              format: int32
        - name: customer_id
          in: query
          description: The list of customer IDs to filter the returned transactions on.
          schema:
            type: array
            items:
              type: integer
              format: int32
        - name: deal_id
          in: query
          description: The list of deal IDs to filed the returned transactions on.
          schema:
            type: array
            items:
              type: integer
              format: int32
        - name: offset
          in: query
          description: >-
            The cursor used in pagination. This is the index of the first
            transaction to be returned.
          schema:
            type: integer
            format: int32
        - name: limit
          in: query
          description: >-
            The maximum number of transactions to be returned. The default is
            20.
          schema:
            type: integer
            format: int32
        - name: sort_by
          in: query
          description: >-
            The property used to sort the transactions by. The default is
            CreationDate.
          schema:
            type: string
            example: CreationDate
          example: CreationDate
        - name: order_by
          in: query
          description: >-
            The sorting direction for the returned transactions. Accepted
            values: ASC, DESC. The default is DESC.
          schema:
            type: string
      responses:
        '200':
          description: Transactions returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionListResponseDto'
              example:
                items:
                  - id: 1
                    creationDate: '2020-04-22T10:05:30Z'
                    properties:
                      name: Product B
                      amount: 99.9
                    customerId: 42
                    partnerId: null
                    dealId: null
                    currency: USD
                    isDeleted: false
                    deletionDate: null
      security:
        - oauth2:
            - Transaction.View
            - Api
components:
  schemas:
    TransactionListResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/TransactionDto'
          nullable: true
      additionalProperties: false
    TransactionDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        creationDate:
          type: string
          format: date-time
        properties:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
        customerId:
          type: integer
          format: int32
          nullable: true
        partnerId:
          type: integer
          format: int32
          nullable: true
        dealId:
          type: integer
          format: int32
          nullable: true
        currency:
          type: string
          nullable: true
        isDeleted:
          type: boolean
        deletionDate:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false

````